Skip to main content
POST
/
api
/
v1
/
customers
/
{customer_external_id}
/
alerts
{
  "limit": "integer",
  "offset": "integer"
}

  const response = await fetch(
    "POST /api/v1/customers/{customer_external_id}/alerts",
    {
      method: "post",
      headers: {
        "Content-Type": "application/json",
        "Authorization": `Bearer {token}`
      },
      body: JSON.stringify({
  "limit": "integer",
  "offset": "integer"
})
    }
  );
            
          
{
  "items": {
    "created_at": "string",
    "customer_external_id": "string",
    "id": "string",
    "last_revision": {
      "agent_id": "string",
      "comment": "string",
      "created_at": "string",
      "customer_revision_id": "string",
      "id": "string",
      "profile_date": "integer",
      "revision_number": "integer",
      "score": "integer",
      "state": "integer",
      "top_category": "string"
    },
    "profile_number": "string"
  },
  "type": "any"
}
{
  "errors": [
    {
      "code": "string",
      "deprecated": "boolean",
      "message": "string",
      "will_be_deprecated": "boolean"
    }
  ]
}

Path parameters

customer_external_id
string
required

Body parameters

limit
integer
offset
integer

Response body

items
AlertWithLastRevision
type
any
{
  "limit": "integer",
  "offset": "integer"
}

  const response = await fetch(
    "POST /api/v1/customers/{customer_external_id}/alerts",
    {
      method: "post",
      headers: {
        "Content-Type": "application/json",
        "Authorization": `Bearer {token}`
      },
      body: JSON.stringify({
  "limit": "integer",
  "offset": "integer"
})
    }
  );
            
          
{
  "items": {
    "created_at": "string",
    "customer_external_id": "string",
    "id": "string",
    "last_revision": {
      "agent_id": "string",
      "comment": "string",
      "created_at": "string",
      "customer_revision_id": "string",
      "id": "string",
      "profile_date": "integer",
      "revision_number": "integer",
      "score": "integer",
      "state": "integer",
      "top_category": "string"
    },
    "profile_number": "string"
  },
  "type": "any"
}
{
  "errors": [
    {
      "code": "string",
      "deprecated": "boolean",
      "message": "string",
      "will_be_deprecated": "boolean"
    }
  ]
}